using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using EPiServer.Shell.Gadgets;

namespace EPiServer.Shell.Controllers
{
    [Gadget]
    public class ContextMenuController : Controller
    {
        //
        // GET: /ContextMenu/

        [GadgetAction(Text = "Default")]
        public ActionResult Index()
        {
            return Content("<div class='epi-padding'>This is index.</div>");
        }

        [GadgetAction]
        public ActionResult Configure()
        {
            return Content("<div class='epi-padding'>This is configure.</div>");
        }

        [GadgetAction(ResourceType = typeof(ContextMenuController), TextResourceKey = "ResourceText")]
        public ActionResult Something()
        {
            return Content("<div class='epi-padding'>This is something</div>");
        }

        [GadgetAction(CssClass = "ClassAction")]
        public ActionResult Class()
        {
            return Content("<div class='epi-padding'>This is classy</div>");
        }

        [GadgetAction]
        public ActionResult Fail()
        {
            throw new Exception("Menu action fail");
        }

        public static string ResourceText
        {
            get { return "Something " + DateTime.Now.ToShortTimeString(); }
        }
    }
}
