using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using EPiServer.Shell.Navigation;

namespace EPiServer.Shell.Controllers
{
    [MenuSection("/global/localized", ResourceType = typeof(LocalizedController), TextResourceKey = "SectionText", SortIndex = 10000)]
    public class LocalizedController : Controller
    {
        //
        // GET: /Localized/

        [MenuItem("/global/localized/localized", ResourceType = typeof(LocalizedController), TextResourceKey = "ActionText")]
        public ActionResult Index()
        {
            return View();
        }

        // mimic resource model with static properties

        public static string ActionText
        {
            get { return "Action " + DateTime.Now.ToShortTimeString(); }
        }

        public static string SectionText
        {
            get { return "Section " + DateTime.Now.ToShortDateString(); }
        }
    }
}
