﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EPiServer.Shell.Search
{
    [SearchProvider]
    public class SleepySearchProvider : ISearchProvider
    {
        internal static string area = Guid.NewGuid().ToString().Substring(0, 8);

        #region ISearchProvider Members

        public string Area
        {
            get { return "Shell"; }
        }

        public string Category
        {
            get { return "Sleepy"; }
        }

        public IEnumerable<SearchResult> Search(Query query)
        {
            var start = DateTime.Now;
            System.Threading.Thread.Sleep(new Random().Next(10000));
            yield return new SearchResult("#", 
                string.Format("Contemplated {0} for {1} seconds.",
                    query.SearchQuery, 
                    DateTime.Now.Subtract(start).TotalSeconds));
        }

        #endregion
    }
}
