<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<div class="epi-paddingHorizontal-small epi-formArea ">

    <fieldset>
        <legend>Html.GetGadgetId()</legend>
            <%= Html.GetGadgetId() %>
    </fieldset>
    
    <fieldset>
        <legend>Gadget form</legend>
        <% Html.BeginGadgetForm("accept"); %>
        <div class="epi-size10">
            <fieldset>
                <legend>Html.BeginGadgetForm("accept");</legend>
                <div>
                    <%= Html.LabeledTextBox("text", "text", "default value", null, null)%>
                </div>
            </fieldset>
        </div>
        <div class="epi-buttonContainer-simple">
            <%= Html.AcceptButton() %>
            <%= Html.CancelButton(null, new { action="someview"})%>
        </div>
        <% Html.EndForm(); %>
    </fieldset>
    
    <fieldset>
        <legend>View inputs/links</legend>
        <table><thead>
            <tr>
                <td>Route params?</td>
                <td>Html.ViewInputButton&nbsp;&nbsp;&nbsp;</td>
                <td>Html.ViewLink&nbsp;&nbsp;&nbsp;</td>
                <td>Html.ViewLinkButton&nbsp;&nbsp;&nbsp;</td>
            </tr>
        </thead><tbody>
            <tr>
                <td>No</td>
                <td><%= Html.ViewInputButton("View input button", "title", "someview", null)%> </td>
                <td><%= Html.ViewLink("View link", "title", "someview", string.Empty, null)%></td>
                <td><%= Html.ViewLinkButton("View link button", "title", "someview", null)%> </td>
            </tr>
            <tr>
                <td>Yes, annonymous object</td>
                <td><%= Html.ViewInputButton("View input button", "title", "someview", string.Empty, null, new { test = 2, test2 = Guid.NewGuid() })%> </td>
                <td><%= Html.ViewLink("View link", "title", "someview", string.Empty, null, new { test = 3, test2 = Guid.NewGuid() })%></td>
                <td><%= Html.ViewLinkButton("View link button", "title", "someview", string.Empty, null, new { test = 4, test2 = Guid.NewGuid() })%> </td>
            </tr>
            <tr>
                <td>Yes, RouteValueDictionary</td>
                <td><%= Html.ViewInputButton("View input button", "title", "someview", string.Empty, null, new RouteValueDictionary(new { test = 6, test2 = Guid.NewGuid() }))%> </td>
                <td><%= Html.ViewLink("View link", "title", "someview", string.Empty, null, new RouteValueDictionary(new { test = 7, test2 = Guid.NewGuid() }))%></td>
                <td><%= Html.ViewLinkButton("View link button", "title", "someview", string.Empty, null, new RouteValueDictionary(new { test = 8, test2 = Guid.NewGuid() }))%> </td>
            </tr>
        </tbody></table>
        
    </fieldset>
    
    <fieldset>
        <legend>Render feedback</legend>
        <% Html.BeginGadgetForm("feedback"); %>
        <div class="epi-size10">
            <fieldset>
                <legend>Feedback options</legend>
                <div>
                    <%= Html.LabeledTextBox("message", "text", "feedback message", null, null)%>
                </div><div>
                    <%= Html.LabeledCheckBox("showAjaxLoader", "show ajax loader", false) %>
                </div><div>
                    <%= Html.LabeledTextBox("hideAfter", "hide after", "00:00:05", null, null)%>
                </div><div>
                    <%= Html.LabeledCheckBox("fadeOut", "fade out", true) %>
                </div>
            </fieldset>
        </div>
        <div class="epi-buttonContainer-simple">
            <%= Html.AcceptButton() %>
            <%= Html.CancelButton() %>
        </div>
    <% Html.EndForm(); %>
    </fieldset>
    
    <fieldset>
        <legend>Auto update</legend>
        
        <%= Html.ViewLink("To auto update &raquo;", "title", "autoupdate", null) %>
    </fieldset>
</div>